PETSc version 3.15.5
Fix/Edit manual page

# TaoShellSetSolve

Sets routine to apply as solver

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoShellSetSolve(Tao tao, PetscErrorCode (*solve) (Tao))

Logically Collective on Tao

### Input Parameters

| tao | - the nonlinear solver context
| solve | - the application-provided solver routine

### Calling sequence of solve

       PetscErrorCode solve (Tao tao)

| tao | - the optimizer, get the application context with TaoShellGetContext()

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### See Also

TAOSHELL, TaoShellSetContext(), TaoShellGetContext()

### Level

advanced

### Location

src/tao/unconstrained/impls/cg/taoshell.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages